from pydantic import BaseModel
from typing import List


class Cv(BaseModel):
    english: str
    chinese: str
    japanese: str
    korean: str


class Ascend1Item(BaseModel):
    name: str
    count: int


class Ascend2Item(BaseModel):
    name: str
    count: int


class Ascend3Item(BaseModel):
    name: str
    count: int


class Ascend4Item(BaseModel):
    name: str
    count: int


class Ascend5Item(BaseModel):
    name: str
    count: int


class Ascend6Item(BaseModel):
    name: str
    count: int


class Costs(BaseModel):
    ascend1: List[Ascend1Item]
    ascend2: List[Ascend2Item]
    ascend3: List[Ascend3Item]
    ascend4: List[Ascend4Item]
    ascend5: List[Ascend5Item]
    ascend6: List[Ascend6Item]


class Character(BaseModel):
    name: str
    fullname: str
    title: str
    description: str
    rarity: str
    element: str
    weapontype: str
    substat: str
    gender: str
    body: str
    association: str
    region: str
    affiliation: str
    birthdaymmdd: str
    birthday: str
    constellation: str
    cv: Cv
    costs: Costs